Name:           perl-PPIx-Utils
Version:        0.003
Release:        4%{?dist}
Summary:        Utility functions for PPI
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/PPIx-Utils
Source0:        https://cpan.metacpan.org/authors/id/D/DB/DBOOK/PPIx-Utils-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Module Runtime
BuildRequires:  perl(B::Keywords) >= 1.09
BuildRequires:  perl(Exporter)
BuildRequires:  perl(PPI) >= 1.250
BuildRequires:  perl(PPI::Document::Fragment)
BuildRequires:  perl(PPI::Token::Quote::Single)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(PPI::Document)
BuildRequires:  perl(PPI::Dumper)
BuildRequires:  perl(PPI::Statement)
BuildRequires:  perl(PPI::Statement::Break)
BuildRequires:  perl(PPI::Statement::Compound)
BuildRequires:  perl(PPI::Statement::Data)
BuildRequires:  perl(PPI::Statement::End)
BuildRequires:  perl(PPI::Statement::Expression)
BuildRequires:  perl(PPI::Statement::Include)
BuildRequires:  perl(PPI::Statement::Null)
BuildRequires:  perl(PPI::Statement::Package)
BuildRequires:  perl(PPI::Statement::Scheduled)
BuildRequires:  perl(PPI::Statement::Sub)
BuildRequires:  perl(PPI::Statement::Unknown)
BuildRequires:  perl(PPI::Statement::UnmatchedBrace)
BuildRequires:  perl(PPI::Statement::Variable)
BuildRequires:  perl(PPI::Token::Word)
BuildRequires:  perl(Test::More) >= 0.88
# Optional Tests
BuildRequires:  perl(CPAN::Meta) >= 2.120900
BuildRequires:  perl(CPAN::Meta::Prereqs)
# Dependencies
Requires:       perl(B::Keywords) >= 1.09
Requires:       perl(PPI) >= 1.250

# Filter duplicate unversioned requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(B::Keywords\\)$

%description
PPIx::Utils is a collection of utility functions for working with PPI
documents. The functions are organized into submodules, and may be imported
from the appropriate submodule or via this module.

These functions were originally from Perl::Critic::Utils and related modules,
and have been split off to this distribution for use outside of Perl::Critic.

%prep
%setup -q -n PPIx-Utils-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/PPIx/
%{_mandir}/man3/PPIx::Utils.3*
%{_mandir}/man3/PPIx::Utils::Classification.3*
%{_mandir}/man3/PPIx::Utils::Language.3*
%{_mandir}/man3/PPIx::Utils::Traversal.3*

%changelog
* Tue Sep 10 2024 Paul Howarth <paul@city-fan.org> - 0.003-4
- Use SPDX-format license tag
- Drop MODULE_COMPAT, replaced by generators

* Mon Dec 20 2021 Paul Howarth <paul@city-fan.org> - 0.003-3
- Classify buildreqs by usage
- Make %%files list more explicit

* Tue May 04 2021 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.003-2
- Reflect review

* Tue Apr 27 2021 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.003-1
- Initial Fedora package
